UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | List of all members
com.latencybusters.pdm.PDMFieldType Enum Reference

## Public Member Functions
| PDMFieldType (short type, String typeStr, int len, boolean fixed, boolean array)
short | getType ()
String | getTypeStr ()

## Static Public Member Functions
static PDMFieldType | getType (short type)

## Public Attributes
| UNKNOWN =((short)-1, "unknown", 0, false, false)
| BOOLEAN =((short)0, "boolean", 1, true, false)
| INT8 =((short)1, "int8", 1, true, false)
| UINT8 =((short)2, "uint8", 1, true, false)
| INT16 =((short)3, "int16", 2, true, false)
| UINT16 =((short)4, "uint16", 2, true, false)
| INT32 =((short)5, "int32", 4, true, false)
| UINT32 =((short)6, "uint32", 4, true, false)
| INT64 =((short)7, "int64", 8, true, false)
| UINT64 =((short)8, "uint64", 8, true, false)
| FLOAT =((short)9, "float", 4, true, false)
| DOUBLE =((short)10, "double", 8, true, false)
| DECIMAL =((short)11, "decimal", 9, true, false)
| TIMESTAMP =((short)12, "timestamp", 8, true, false)
| FIX_STRING =((short)13, "fixed string", 0, true, false)
| STRING =((short)14, "string", 0, false, false)
| FIX_UNICODE =((short)15, "fixed unicode", 0, true, false)
| UNICODE =((short)16, "unicode", 0, false, false)
| BLOB =((short)17, "blob", 0, false, false)
| MESSAGE =((short)18, "message", 0, false, false)
| BOOLEAN_ARR =((short)19, "boolean array", 1, true, true)
| INT8_ARR =((short)20, "int8 array", 1, true, true)
| UINT8_ARR =((short)21, "uint8 array", 1, true, true)
| INT16_ARR =((short)22, "int16 array", 2, true, true)
| UINT16_ARR =((short)23, "uint16 array", 2, true, true)
| INT32_ARR =((short)24, "int32 array", 4, true, true)
| UINT32_ARR =((short)25, "uint32 array", 4, true, true)
| INT64_ARR =((short)26, "int64 array", 8, true, true)
| UINT64_ARR =((short)27, "uint64 array", 8, true, true)
| FLOAT_ARR =((short)28, "float array", 4, true, true)
| DOUBLE_ARR =((short)29, "double array", 8, true, true)
| DECIMAL_ARR =((short)30, "decimal array", 9, true, true)
| TIMESTAMP_ARR =((short)31, "timestamp array", 8, true, true)
| FIX_STRING_ARR =((short)32, "fixed string array", 0, true, true)
| STRING_ARR =((short)33, "string array", 0, false, true)
| FIX_UNICODE_ARR =((short)34, "fixed unicode array", 0, true, true)
| UNICODE_ARR =((short)35, "unicode array", 0, false, true)
| BLOB_ARR =((short)36, "blob array", 0, false, true)
| MESSAGE_ARR =((short)37, "message array", 0, false, true)

## Protected Member Functions
boolean | isFixed ()
int | getTypeLen ()
boolean | isArray ()

## Detailed Description

PDMFieldType enumeration used when adding field information to a PDMDefinition.

Author
  jfugitt

## Constructor & Destructor Documentation

com.latencybusters.pdm.PDMFieldType.PDMFieldType | ( | short | type,
|  | String | typeStr,
|  | int | len,
|  | boolean | fixed,
|  | boolean | array
| ) |  |

The constructor used for the different enums

Parameters

  type |
  typeStr |
  len |
  fixed |
  array |

## Member Function Documentation

static PDMFieldType com.latencybusters.pdm.PDMFieldType.getType | ( | short | type | ) |
| static

Static method used to get a specific type by its identifier (short)

Parameters

  type |

Returns
  the enum field type

The documentation for this enum was generated from the following file:

- PDMFieldType.java